%define anolis_release 1

Name:           lua-term
Version:        0.07
Release:        %{anolis_release}%{?dist}
Summary:        Terminal functions for Lua

License:        MIT
URL:            https://github.com/hoelzro/%{name}
Source0:        https://github.com/hoelzro/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  lua-devel >= 5.2
Requires:       lua(abi) = %{lua_version}
Requires:       lua >= %{lua_version}

%description
Lua module for manipulating a terminal.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%{__cc} %{optflags} -fPIC -c core.c -o core.o
%{__cc} %{__global_ldflags} -shared -o core.so core.o
chmod 755 core.so

%install
mkdir -p %{buildroot}%{lua_pkgdir}
cp -rp term  %{buildroot}%{lua_pkgdir}/
mkdir -p %{buildroot}%{lua_libdir}/term
cp -p core.so %{buildroot}%{lua_libdir}/term/

%generate_compatibility_deps

%files
%license COPYING
%{lua_libdir}/term/
%{lua_pkgdir}/term/
%dir %{abidir}
%{abidir}/core.dump

%files doc
%doc CHANGES README.md

%changelog
* Mon Mar 27 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 0.07-1
- Init from upstream
